this.name        = "shipclassequip-grade"; 
this.author      = "Redspear"; 
this.copyright   = "2016 Redspear";
this.licence     = "CC BY-NC-SA 4.0"; 
this.description = "Script to facilitate equipment availability by determining ship class"; 
this.version     = "0.5";

"use strict";

// classify player ship type upon starting game and install base equipment if not already present.
this.startUp = this.playerBoughtNewShip = function()
{
	if (player.ship.equipmentStatus("EQ_SERVICE_GRADE") == "EQUIPMENT_OK")
		{player.ship.fuelChargeRate = 0.5;
		var thrustMod = 0.5;}
	
else{
	if (player.ship.equipmentStatus("EQ_TRANSIT_GRADE") == "EQUIPMENT_OK")
		{player.ship.fuelChargeRate = 1.0;
		var thrustMod = 1.0;}
	
else{
	if (player.ship.equipmentStatus("EQ_CIVILIAN_GRADE") == "EQUIPMENT_OK")
		{player.ship.fuelChargeRate = 1.0;
		var thrustMod = 1.0;}
	
else{
	if (player.ship.equipmentStatus("EQ_MILITARY_GRADE") == "EQUIPMENT_OK")
		{player.ship.fuelChargeRate = 1.5;
		var thrustMod = 1.5;}
	
else{
	if (player.ship.equipmentStatus("EQ_PERFORMANCE_GRADE") == "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") == "EQUIPMENT_OK")
		{player.ship.fuelChargeRate = 2.0;
		//player.ship.maxSpeed += 50;
		var thrustMod = 2.0;}
		
else{
	if (player.ship.equipmentStatus("EQ_PERFORMANCE_GRADE") == "EQUIPMENT_OK" && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") != "EQUIPMENT_OK")
		{player.ship.fuelChargeRate = 2.0;
		var thrustMod = 2.0;}		
	
else{
	if (player.ship.dataKey=="worm-player" || player.ship.dataKey=="adder-player" || player.ship.dataKey=="transporter-player" || player.ship.dataKey=="python-player" || player.ship.dataKey=="hognose-player" || player.ship.dataKey=="cobramk1-player" || player.ship.dataKey == "bug-player" || player.ship.dataKey == "bushmaster-player") 
		{player.ship.awardEquipment("EQ_SERVICE_GRADE");
		player.ship.fuelChargeRate = 0.5;
		var thrustMod = 0.5;
	}

else{
	if (player.ship.dataKey=="krait-player" || player.ship.dataKey=="monitor-player" || player.ship.dataKey=="anaconda-player" || player.ship.dataKey=="eagle-player" || player.ship.dataKey=="mamba-player" || player.ship.dataKey=="boa-player" || player.ship.dataKey == "ghavial-player" || player.ship.dataKey == "chameleon-player" || player.ship.dataKey == "puma-player" || player.ship.dataKey == "tiger-player" || player.ship.dataKey == "panther-player") 
		{player.ship.awardEquipment("EQ_TRANSIT_GRADE");
		player.ship.fuelChargeRate = 0.75;
		var thrustMod = 0.75;
	}

else{
	if (player.ship.dataKey=="gecko-player" || player.ship.dataKey=="ferdelance-player" || player.ship.dataKey=="mussurana-player" || player.ship.dataKey=="shuttle-player" || player.ship.dataKey=="gnat-player" || player.ship.dataKey=="imperial_explorer-player" || player.ship.dataKey == "cobramk2-player" || player.ship.dataKey == "salamander-player" || player.ship.dataKey == "ophidian-player") 
		{player.ship.awardEquipment("EQ_CIVILIAN_GRADE");
		player.ship.fuelChargeRate = 1.0;
		var thrustMod = 1.0;
	}
	
else{
	if (player.ship.dataKey=="asp-player" || player.ship.dataKey=="sidewinder-player" || player.ship.dataKey=="aspmk1-player" || player.ship.dataKey=="viper-player" || player.ship.dataKey=="imperial_courier-player" || player.ship.dataKey=="iguana-player" || player.ship.dataKey=="griffkrait-player" || player.ship.dataKey=="griffboa-player") 
		{player.ship.awardEquipment("EQ_MILITARY_GRADE");
		player.ship.fuelChargeRate = 1.5;
		var thrustMod = 1.5;
	}

else{		
	if (player.ship.dataKey=="cobra3-player" || player.ship.dataKey=="python_cruiser-player" || player.ship.dataKey=="griffin-player" || player.ship.dataKey=="osprey-player" || player.ship.dataKey=="moray-player" || player.ship.dataKey=="viper-interceptor-player" || player.ship.dataKey=="imperial-trader-player" || player.ship.dataKey=="wolf-player" || player.ship.maxSpeed>400) 
		{player.ship.awardEquipment("EQ_PERFORMANCE_GRADE");
			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER");
			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
		player.ship.fuelChargeRate = 2.0;
		//player.ship.maxSpeed += 50;	
		var thrustMod = 2.0;
	}
		
//else{	//oxp ship grade based on cargo to missile capacity ratio
//	if (player.ship.maxSpeed>400)
//		{player.ship.awardEquipment("EQ_PERFORMANCE_GRADE");
//			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER");
//			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
//			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
//			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
//			player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
//		player.ship.fuelChargeRate = 2.0;
//		//player.ship.maxSpeed -= 50;
//		var thrustMod = 2.0;
//	}
		
else{	
	if (player.ship.missileCapacity>(player.ship.cargoSpaceCapacity/4))
		{player.ship.awardEquipment("EQ_MILITARY_GRADE");
		player.ship.fuelChargeRate = 1.5;
		var thrustMod = 1.5;
	}
		
else{	
	if (player.ship.missileCapacity>(player.ship.cargoSpaceCapacity/6))
		{player.ship.awardEquipment("EQ_CIVILIAN_GRADE");
		player.ship.fuelChargeRate = 1.0;
		var thrustMod = 1.0;
	}

else{	
	if (player.ship.missileCapacity>(player.ship.cargoSpaceCapacity/8))
		{player.ship.awardEquipment("EQ_TRANSIT_GRADE");
		player.ship.fuelChargeRate = 0.75;
		var thrustMod = 0.75;
	}
		
else{	
		player.ship.awardEquipment("EQ_SERVICE_GRADE");
		player.ship.fuelChargeRate = 0.5;
		var thrustMod = 0.5;
	}
		
}
}
}
}
}
}
}
}
}
}
}
}
}
}
	
	//effects due to having engine supercharger installed/damaged
this.equipmentRemoved = function(equipment)
{
	if (equipment == "EQ_ENGINE_SUPERCHARGER")
		{player.ship.maxSpeed -= 50;}		
}
	
this.equipmentAdded = function(equipment)
{
	if (equipment == "EQ_ENGINE_SUPERCHARGER")
		{player.ship.maxSpeed += 50;}	
}

	
	//ship re-fit scripts
this.equipmentAdded = function(equipment) 
{
	if (equipment === "EQ_SERVICE_RE-FIT")// && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") == "EQUIPMENT_OK")
	{
		player.ship.removeEquipment("EQ_TRANSIT_GRADE");
		player.ship.removeEquipment("EQ_CARGO_BAY");
		player.ship.removeEquipment("EQ_CIVILIAN_GRADE");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_MILITARY_GRADE");
		player.ship.removeEquipment("EQ_NAVAL_SHIELD_BOOSTER");
		player.ship.removeEquipment("EQ_PERFORMANCE_GRADE");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
		
		player.ship.removeEquipment("EQ_SERVICE_RE-FIT");
		player.ship.awardEquipment("EQ_SERVICE_GRADE");
		player.ship.awardEquipment("EQ_HEAT_SHIELD");
		//player.ship.maxSpeed -= 50;
		player.ship.maxThrust = player.ship.maxThrust * (0.5 /thrustMod);
	}
	
	if (equipment === "EQ_TRANSIT_RE-FIT")// && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") == "EQUIPMENT_OK")
	{
		player.ship.removeEquipment("EQ_SERVICE_GRADE");
		player.ship.removeEquipment("EQ_HEAT_SHIELD");
		player.ship.removeEquipment("EQ_CIVILIAN_GRADE");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_MILITARY_GRADE");
		player.ship.removeEquipment("EQ_NAVAL_SHIELD_BOOSTER");
		player.ship.removeEquipment("EQ_PERFORMANCE_GRADE");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
		
		player.ship.removeEquipment("EQ_TRANSIT_RE-FIT");
		player.ship.awardEquipment("EQ_TRANSIT_GRADE");
		player.ship.awardEquipment("EQ_CARGO_BAY");	
		//player.ship.maxSpeed -= 50;
		player.ship.maxThrust = player.ship.maxThrust * (0.75 /thrustMod);
	}
	
	if (equipment === "EQ_CIVILIAN_RE-FIT" && $berthNumber == 1)// && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") == "EQUIPMENT_OK")
	{
		player.ship.removeEquipment("EQ_SERVICE_GRADE");
		player.ship.removeEquipment("EQ_HEAT_SHIELD");
		player.ship.removeEquipment("EQ_TRANSIT_GRADE");
		player.ship.removeEquipment("EQ_CARGO_BAY");
		player.ship.removeEquipment("EQ_MILITARY_GRADE");
		player.ship.removeEquipment("EQ_NAVAL_SHIELD_BOOSTER");
		player.ship.removeEquipment("EQ_PERFORMANCE_GRADE");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
	
		player.ship.removeEquipment("EQ_CIVILIAN_RE-FIT");
		player.ship.awardEquipment("EQ_CIVILIAN_GRADE");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		//player.ship.maxSpeed -= 50;
		player.ship.maxThrust = player.ship.maxThrust * (1 /thrustMod);
		var thrustMod = 1;
	}
	
	if (equipment === "EQ_CIVILIAN_RE-FIT" && $berthNumber == 2)// && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") == "EQUIPMENT_OK")
	{
		player.ship.removeEquipment("EQ_SERVICE_GRADE");
		player.ship.removeEquipment("EQ_HEAT_SHIELD");
		player.ship.removeEquipment("EQ_TRANSIT_GRADE");
		player.ship.removeEquipment("EQ_CARGO_BAY");
		player.ship.removeEquipment("EQ_MILITARY_GRADE");
		player.ship.removeEquipment("EQ_NAVAL_SHIELD_BOOSTER");
		player.ship.removeEquipment("EQ_PERFORMANCE_GRADE");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
	
		player.ship.removeEquipment("EQ_CIVILIAN_RE-FIT");
		player.ship.awardEquipment("EQ_CIVILIAN_GRADE");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		//player.ship.maxSpeed -= 50;
		player.ship.maxThrust = player.ship.maxThrust * (1 /thrustMod);
		var thrustMod = 1;
	}
	
	if (equipment === "EQ_CIVILIAN_RE-FIT" && $berthNumber == 3)// && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") == "EQUIPMENT_OK")
	{
		player.ship.removeEquipment("EQ_SERVICE_GRADE");
		player.ship.removeEquipment("EQ_HEAT_SHIELD");
		player.ship.removeEquipment("EQ_TRANSIT_GRADE");
		player.ship.removeEquipment("EQ_CARGO_BAY");
		player.ship.removeEquipment("EQ_MILITARY_GRADE");
		player.ship.removeEquipment("EQ_NAVAL_SHIELD_BOOSTER");
		player.ship.removeEquipment("EQ_PERFORMANCE_GRADE");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
	
		player.ship.removeEquipment("EQ_CIVILIAN_RE-FIT");
		player.ship.awardEquipment("EQ_CIVILIAN_GRADE");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		//player.ship.maxSpeed -= 50;
		player.ship.maxThrust = player.ship.maxThrust * (1 /thrustMod);
		var thrustMod = 1;
	}
	
	if (equipment === "EQ_CIVILIAN_RE-FIT" && $berthNumber == 5)// && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") == "EQUIPMENT_OK")
	{
		player.ship.removeEquipment("EQ_SERVICE_GRADE");
		player.ship.removeEquipment("EQ_HEAT_SHIELD");
		player.ship.removeEquipment("EQ_TRANSIT_GRADE");
		player.ship.removeEquipment("EQ_CARGO_BAY");
		player.ship.removeEquipment("EQ_MILITARY_GRADE");
		player.ship.removeEquipment("EQ_NAVAL_SHIELD_BOOSTER");
		player.ship.removeEquipment("EQ_PERFORMANCE_GRADE");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
	
		player.ship.removeEquipment("EQ_CIVILIAN_RE-FIT");
		player.ship.awardEquipment("EQ_CIVILIAN_GRADE");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		//player.ship.maxSpeed -= 50;
		player.ship.maxThrust = player.ship.maxThrust * (1 /thrustMod);
		var thrustMod = 1;
	}
	
	if (equipmentAdded === "EQ_CIVILIAN_RE-FIT" && $berthNumber == 9)// && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") == "EQUIPMENT_OK")
	{
		player.ship.removeEquipment("EQ_SERVICE_GRADE");
		player.ship.removeEquipment("EQ_HEAT_SHIELD");
		player.ship.removeEquipment("EQ_TRANSIT_GRADE");
		player.ship.removeEquipment("EQ_CARGO_BAY");
		player.ship.removeEquipment("EQ_MILITARY_GRADE");
		player.ship.removeEquipment("EQ_NAVAL_SHIELD_BOOSTER");
		player.ship.removeEquipment("EQ_PERFORMANCE_GRADE");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
	
		player.ship.removeEquipment("EQ_CIVILIAN_RE-FIT");
		player.ship.awardEquipment("EQ_CIVILIAN_GRADE");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		player.ship.awardEquipment("EQ_PASSENGER_BERTH");
		//player.ship.maxSpeed -= 50;
		player.ship.maxThrust = player.ship.maxThrust * (1 /thrustMod);
		var thrustMod = 1;
	}
	
	if (equipment === "EQ_MILITARY_RE-FIT")// && player.ship.equipmentStatus("EQ_ENGINE_SUPERCHARGER") == "EQUIPMENT_OK")
	{
		player.ship.removeEquipment("EQ_SERVICE_GRADE");
		player.ship.removeEquipment("EQ_HEAT_SHIELD");
		player.ship.removeEquipment("EQ_TRANSIT_GRADE");
		player.ship.removeEquipment("EQ_CARGO_BAY");
		player.ship.removeEquipment("EQ_CIVILIAN_GRADE");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PERFORMANCE_GRADE");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
		player.ship.removeEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
	
		player.ship.removeEquipment("EQ_MILITARY_RE-FIT");
		player.ship.awardEquipment("EQ_MILITARY_GRADE");
		player.ship.awardEquipment("EQ_NAVAL_SHIELD_BOOSTER");
		//player.ship.maxSpeed -= 50;
		player.ship.maxThrust =  player.ship.maxThrust * (1.5 /thrustMod);
	}
	
	if (equipment === "EQ_PERFORMANCE_RE-FIT")
	{
		player.ship.removeEquipment("EQ_SERVICE_GRADE");
		player.ship.removeEquipment("EQ_HEAT_SHIELD");
		player.ship.removeEquipment("EQ_TRANSIT_GRADE");
		player.ship.removeEquipment("EQ_CARGO_BAY");
		player.ship.removeEquipment("EQ_CIVILIAN_GRADE");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_PASSENGER_BERTH");
		player.ship.removeEquipment("EQ_MILITARY_GRADE");
		player.ship.removeEquipment("EQ_NAVAL_SHIELD_BOOSTER");
		
		player.ship.removeEquipment("EQ_PERFORMANCE_RE-FIT");
		player.ship.awardEquipment("EQ_PERFORMANCE_GRADE");
		player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER");
		player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_A");
		player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_B");
		player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_C");
		player.ship.awardEquipment("EQ_ENGINE_SUPERCHARGER_PLATE_D");
		player.ship.maxThrust = player.ship.maxThrust * (2 /thrustMod);
		player.ship.maxSpeed += 50;
	}

}